<Project Sdk="Microsoft.NET.Sdk" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <PropertyGroup>
    <TargetFrameworks>netstandard1.3;net451</TargetFrameworks>
    <Authors>Shervin Williams</Authors>
    <Company>ITpod</Company>
    <PackageTags>snipcart</PackageTags>
    <PackageId>Snipcart-SDK</PackageId>
    <RepositoryType>git</RepositoryType>
    <RepositoryUrl>https://github.com/shervinw/Snipcart.API</RepositoryUrl>
    <Description>Provides integrations for all documented Snipcart API endpoints and webhooks</Description>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <AutoGenerateBindingRedirects>false</AutoGenerateBindingRedirects>
  </PropertyGroup>

  <ItemGroup Condition="'$(TargetFramework)'=='net451'">
    <Reference Include="System.Net" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Threading.Tasks" />
    <Reference Include="System.Collections" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="models\domains\" />
    <Folder Include="models\shipping\" />
    <Folder Include="webhooks\" />
  </ItemGroup>

<ItemGroup Condition="'$(TargetFramework)' == 'netstandard1.3'">
    <PackageReference Include="Newtonsoft.Json">
      <Version>12.0.3</Version>
    </PackageReference>
  </ItemGroup>


  <ItemGroup Condition="'$(TargetFramework)' == 'net451'">
    <PackageReference Include="Newtonsoft.Json">
      <Version>8.0.1</Version>
    </PackageReference>
  </ItemGroup>

</Project>
